package com.seer.teach.teacher.resolver.impl;

import com.seer.teach.teacher.resolver.PromptVariableResolver;
import org.springframework.stereotype.Component;

import java.time.LocalTime;
import java.time.format.DateTimeFormatter;

/**
 *
 * <p>
 *
 * </p >
 *
 * @author Captain
 * @since 2025-11-08 17:55
 */
@Component
public class TimeResolver  implements PromptVariableResolver {
    @Override
    public String supportKey() {
        return "time";
    }


    @Override
    public String resolve() {
        LocalTime now = LocalTime.now();
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("HH:mm:ss");
        return now.format(formatter);
    }
}
